package nc.itf.hr;

import nc.ui.querytemplate.querytree.IQueryScheme;
import nc.vo.th.baod.entity.AggBaodVO;
import nc.vo.pub.BusinessException;

public interface IBaod_ordersMaintain {

    public void delete(AggBaodVO[] clientFullVOs,AggBaodVO[] originBills) throws BusinessException;

    public AggBaodVO[] insert(AggBaodVO[] clientFullVOs,AggBaodVO[] originBills) throws BusinessException;
  
    public AggBaodVO[] update(AggBaodVO[] clientFullVOs,AggBaodVO[] originBills) throws BusinessException;


    public AggBaodVO[] query(IQueryScheme queryScheme)
      throws BusinessException;

  public AggBaodVO[] save(AggBaodVO[] clientFullVOs,AggBaodVO[] originBills)
      throws BusinessException ;

  public AggBaodVO[] unsave(AggBaodVO[] clientFullVOs,AggBaodVO[] originBills)
      throws BusinessException ;

  public AggBaodVO[] approve(AggBaodVO[] clientFullVOs,AggBaodVO[] originBills)
      throws BusinessException ;

  public AggBaodVO[] unapprove(AggBaodVO[] clientFullVOs,AggBaodVO[] originBills)
      throws BusinessException ;
}
